On this page
No Headings
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteUnique code identifier of the billing entity
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api-m.sandbox.paypal.com/billing-entities/acme_inc" \ -H "Content-Type: application/json" \ -d '{ "name": "Acme Inc" }'{
"id": "b8e2a656-04eb-441c-a6b2-bfab9e2a0f7c",
"code": "acme_inc",
"name": "Acme Inc (Updated)",
"default_currency": "USD",
"finalize_zero_amount_invoice": true,
"is_default": true,
"address": {
"line1": "123 Business Ave, Suite 500",
"line2": "Floor 5",
"city": "San Francisco",
"state": "CA",
"country": "US",
"postal_code": "94107"
},
"legal_name": "Acme Corporation Inc. LLC",
"legal_number": "US987654321",
"email": "[email protected]",
"timezone": "America/Los_Angeles",
"created_at": "2023-01-15T00:00:00Z",
"updated_at": "2023-01-16T05:30:00Z",
"taxes": [
{
"id": "d4e3c878-16fd-663e-c8d4-dgab0f4c2g9e",
"name": "California State Sales Tax",
"code": "us_ca_sales_tax_8_25",
"description": "California State Sales Tax",
"rate": "8.25",
"created_at": "2023-01-15T00:00:00Z"
},
{
"id": "e5f4d989-27ge-774f-d9e5-ehbc1g5d3h0f",
"name": "San Francisco City Tax",
"code": "us_sf_city_tax_1_25",
"description": "San Francisco City Tax",
"rate": "1.25",
"created_at": "2023-01-16T05:30:00Z"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"debug_id": "dc99e3955cdd8",
"details": [
{
"field": "/email",
"value": "abc",
"location": "body",
"issue": "INVALID_PARAMETER_VALUE",
"description": "The value of a field does not conform to the expected format."
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "string",
"debug_id": "string",
"message": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "string",
"issue": "string",
"description": "string"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}Name of the billing entity
Currency code in ISO 4217 format.
^[A-Z]{3}$3 <= length <= 3Whether to finalize invoices with zero amount
Address of the customer or party.
Legal name of the entity
Legal registration number
Contact email for the entity
emailThe timezone of the billing entity
List of unique codes used to identify taxes to be applied.